Subject: bug#13787: 24.2; Call to package-install during byte compilation returns non-zero exit status

From: Jon Dufresne <[email-masked]>
Date: Fri, 22 Feb 2013 17:32:23 -0800

On Fri, 2013-02-22 at 13:58 -0500, Glenn Morris wrote:
> Why eval-and-compile?

I have one init.el that I share across many installations of Emacs.
There are several third party packages in repositories that I rely on.
When I pass the init.el to a new Emacs installation, I build it using a
Makefile. My goal is to byte compile the init.el file and install all
required third party packages.

I want to avoid passing around the init.el file *and* the third party
packages. I prefer to rely on the repository for an up to date version
of the package. This way I avoid tracking all packages individually.

I figured build time was the best time to download, compile and install
these packages. This is why I use eval-and-compile.

I am probably not the first person to consider doing this. And so my
approach may be off. If there is a more direct or better approach to
handle this please let me know.